PHP Manual
Prev |  | Next

# ini_get_all

(PHP 4 >= 4.2.0, PHP 5)

ini_get_all -- Gets all configuration options

## Description

array ini_get_all ( [string extension] )

Returns all the registered configuration options.

## Parameters

`extension`

  An optional extension name. If set, the function return only options specific for that extension.

## Return Values

Returns an associative array uses the directive name as the array key, with elements of that array being `global_value` (set in `php.ini`), `local_value` (perhaps set with ini_set() or `.htaccess`), and `access` (the access level). See the manual section on configuration changes for information on what access levels mean.

> Note: It's possible for a directive to have multiple access levels, which is why `access` shows the appropriate bitmask values.

## Examples

Example 1. A ini_get_all() example

`<?php $inis = ini_get_all(); print_r($inis); ?>`

The above example will output something similar to:

    Array
    (
        [allow_call_time_pass_reference] => Array
        (
            [global_value] => 1
            [local_value] => 1
            [access] => 6
        )
        [allow_url_fopen] => Array
        (
            [global_value] => 1
            [local_value] => 1
            [access] => 7
        )

        ...

    )

## See Also

ini_get()
ini_restore()
ini_set()
get_loaded_extensions()
phpinfo()

Prev | Home | Next
ini_alter | Up | ini_get